% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 1.10 $
%%      $Date: 2006/08/19 07:00:23 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- discontiguous '--->'/2.
:- multifile '*>'/2.


das ~~> @det(nom_or_acc,sg,neu,strong,def).


der ~~> @det(nom,sg,mas,strong,def).

% wir gedenken der Frau
% wir helfen der Frau
der ~~> @det(gen_or_dat,sg,fem,strong,def).


% dem Mann/Buch
dem ~~>  @det(dat,sg,mas_or_neu,strong,def).

% den Mann
den ~~> @det(acc,sg,mas,strong,def).


des ~~> @det(gen,sg,mas_or_neu,strong,def).

die ~~> @det(nom_or_acc,sg,fem,strong,def).


die ~~> @det(nom_or_acc,pl,strong,def).
den ~~> @det(dat,       pl,strong,def).
der ~~> @det(gen,       pl,strong,def).


ein   ~~> @det(nom,       sg,mas,       weak,  ein).
ein   ~~> @det(nom_or_acc,sg,neu,       weak,  ein).
eine  ~~> @det(nom_or_acc,sg,fem,       strong,ein).
einen ~~> @det(acc,       sg,mas,       strong,ein).
einem ~~> @det(dat,       sg,mas_or_neu,strong,ein).

einer ~~> @det(gen_or_dat,sg,fem,       strong,ein).
eines ~~> @det(gen,       sg,mas_or_neu,strong,ein).



% Nomina neutr

buch    ~~> @noun(nom_or_dat_or_acc,neu,sg,buch).
buches  ~~> @noun(gen,              neu,sg,buch).
bücher  ~~> @noun(nom_or_gen_or_acc,neu,pl,buch).
büchern ~~> @noun(dat,              neu,pl,buch).


kind    ~~> @noun(nom_or_dat_or_acc,neu,sg,kind).
kindes  ~~> @noun(gen,              neu,sg,kind).
kinder  ~~> @noun(nom_or_gen_or_acc,neu,pl,kind).
kindern ~~> @noun(dat,              neu,pl,kind).

lied    ~~> @noun(nom_or_dat_or_acc,neu,sg,lied).
liedes  ~~> @noun(gen,              neu,sg,lied).
lieder  ~~> @noun(nom_or_gen_or_acc,neu,pl,lied).
liedern ~~> @noun(dat,              neu,pl,lied).

märchen   ~~> @noun(nom_or_dat_or_acc,neu,sg,märchen).
märchenes ~~> @noun(gen,              neu,sg,märchen).
märchen   ~~> @noun(case,             neu,pl,märchen).


% Achtung! Mädchen hat das Genus Neutrum, für Pronomenbindung
% ist allerdings feminin oder neutrum möglich.
% Das Mädchen ... Sie/es ...

mädchen  ~~> @noun(nom_or_dat_or_acc,neu,  fem_or_neu,sg,mädchen).
mädchens ~~> @noun(gen,              neu,  fem_or_neu,sg,mädchen).
mädchen  ~~> @noun(case,             genus,fem_or_neu,pl,mädchen).



% Nomina mask

aufsatz   ~~> @noun(nom_or_dat_or_acc,mas,sg,aufsatz).
aufsatzes ~~> @noun(gen,              mas,sg,aufsatz).
aufsätze  ~~> @noun(nom_or_gen_or_acc,mas,pl,aufsatz).
aufsätzen ~~> @noun(dat,              neu,pl,aufsatz).

kran    ~~> @noun(nom_or_dat_or_acc,mas,sg,kran).
kranes  ~~> @noun(gen,              mas,sg,kran).
kräne   ~~> @noun(nom_or_gen_or_acc,mas,pl,kran).
kränen  ~~> @noun(dat,              neu,pl,kran).

lügner  ~~> @noun(nom_or_dat_or_acc,mas,sg,lügner).
lügners ~~> @noun(gen,              mas,sg,lügner).
lügner  ~~> @noun(nom_or_gen_or_acc,mas,pl,lügner).
lügnern ~~> @noun(dat,              neu,pl,lügner).


mann    ~~> @noun(nom_or_dat_or_acc,mas,sg,mann).
mannes  ~~> @noun(gen,              mas,sg,mann).
männer  ~~> @noun(nom_or_gen_or_acc,mas,pl,mann).
männern ~~> @noun(dat,              neu,pl,mann).


mörder  ~~> @noun(nom_or_dat_or_acc,mas,sg,mörder).
mörders ~~> @noun(gen,              mas,sg,mörder).
mörder  ~~> @noun(nom_or_gen_or_acc,mas,pl,mörder).
mördern ~~> @noun(dat,              neu,pl,mörder).

sohn    ~~> @noun(nom_or_dat_or_acc,mas,sg,sohn).
sohnes  ~~> @noun(gen,              mas,sg,sohn).
söhne   ~~> @noun(nom_or_gen_or_acc,mas,pl,sohn).
söhnen  ~~> @noun(dat,              neu,pl,sohn).

wagen   ~~> @noun(nom_or_dat_or_acc,mas,sg,wagen).
wagens  ~~> @noun(gen,              mas,sg,wagen).
wagen   ~~> @noun(case,             mas,pl,wagen).



% Nomina fem

frau   ~~> @noun(case,fem,sg,frau).
frauen ~~> @noun(case,fem,pl,frau).

geschichte  ~~> @noun(case,fem,sg,geschichte).
geschichten ~~> @noun(case,fem,pl,geschichte).

speisekammer  ~~> @noun(case,fem,sg,speisekammer).
speisekammern ~~> @noun(case,fem,pl,speisekammer).

tochter ~~> @noun(case,fem,sg,tochter).
töchter ~~> @noun(case,fem,pl,tochter).

überraschung   ~~> @noun(case,fem,sg,überraschung).
überraschungen ~~> @noun(case,fem,pl,überraschung).

wurst   ~~> @noun(case,fem,sg,wurst).
würste  ~~> @noun(nom_or_gen_or_acc,fem,pl,wurst).
würsten ~~> @noun(dat,              fem,pl,wurst).


% adjektivisch flektierte Nomina
% Die Flexionsinformation ist identisch mit der der Adjektive,
% außer daß das Genus nie neutrum ist, da Beamte immer mas
% oder fem sind.
%
% Auskommentierte Formen werden nicht gebraucht. Bei Adjektiven sind
% sie notwendig, da der Artikel wegfallen kann:
%
% Er rechnet mit frischer Milch.
%
% Für den Nominativ & Akkusativ braucht man die Formen aber, da in Kopulakonstruktionen
% der Artikel wegfallen kann zulässig ist.
% 
% Er ist Beamter.
% Er ließ ihn Beamten werden.


beamte ~~> @adj_noun(nom_or_acc,fem,        sg,dtype, beamter).
beamte ~~> @adj_noun(nom,       mas,        sg,strong,beamter).
beamte ~~> @adj_noun(nom_or_acc,fem_or_mas, pl,weak,  beamter).

beamten ~~> @adj_noun(gen_or_dat,fem_or_mas,sg,strong,beamter).
%beamten ~~> @adj_noun(gen,       mas,       sg,weak,  beamter).  % nicht gebraucht
beamten ~~> @adj_noun(case,      fem_or_mas,pl,strong,beamter).
beamten ~~> @adj_noun(acc,       mas,       sg,dtype, beamter).
beamten ~~> @adj_noun(gen,       mas,       pl,weak,  beamter).
beamten ~~> @adj_noun(dat,       fem_or_mas,pl,weak,  beamter).

%beamtem ~~> @adj_noun(dat,       mas,       sg,weak,  beamter).  % nicht gebraucht


%
%beamter ~~> @noun(gen_or_dat,fem,       sg,weak,  beamter).      % nicht gebraucht

beamter ~~> @adj_noun(nom,       mas,       sg,weak,  beamter).
beamter ~~> @adj_noun(gen,       fem_or_mas,pl,weak,  beamter).



% Personalpronomina

ich    ~~> @pers_pronoun(nom,first,sg).
meiner ~~> @pers_pronoun(gen,first,sg).
mir    ~~> @pers_pronoun(dat,first,sg).
mich   ~~> @pers_pronoun(acc,first,sg).


du     ~~> @pers_pronoun(nom,second,sg).
deiner ~~> @pers_pronoun(gen,second,sg).
dir    ~~> @pers_pronoun(dat,second,sg).
dich   ~~> @pers_pronoun(acc,second,sg).


er     ~~> @pers_pronoun(nom,third,sg,mas).
seiner ~~> @pers_pronoun(gen,third,sg,mas_or_neu).
ihm    ~~> @pers_pronoun(dat,third,sg,mas_or_neu).
ihn    ~~> @pers_pronoun(acc,third,sg,mas).



sie   ~~> @pers_pronoun(nom_or_acc,third,sg,fem).
ihrer ~~> @pers_pronoun(gen,       third,sg,fem).
ihr   ~~> @pers_pronoun(dat,       third,sg,fem).

es    ~~> @pers_pronoun(nom_or_acc,third,sg,neu).


wir     ~~> @pers_pronoun(nom,       first,pl).
unserer ~~> @pers_pronoun(gen,       first,pl).
uns     ~~> @pers_pronoun(dat_or_acc,first,pl).


ihr   ~~> @pers_pronoun(nom,       second,pl).
eurer ~~> @pers_pronoun(gen,       second,pl).
euch  ~~> @pers_pronoun(dat_or_acc,second,pl).


sie   ~~> @pers_pronoun(nom_or_acc,third,pl).
ihrer ~~> @pers_pronoun(gen,       third,pl).
ihnen ~~> @pers_pronoun(dat,       third,pl).


% Expletivum

es    ~~> expl_pronoun.


% Possessivpronomina

mein   ~~> @possessive(nom,       first, sg,genus,     sg,mas,       weak).
mein   ~~> @possessive(nom_or_acc,first, sg,genus,     sg,neu,       weak).
meine  ~~> @possessive(nom_or_acc,first, sg,genus,     sg,fem,       strong).
meine  ~~> @possessive(nom_or_acc,first, sg,genus,     pl,genus,     strong).

meinen ~~> @possessive(acc,       first, sg,genus,     sg,mas,       strong).
meinen ~~> @possessive(dat,       first, sg,genus,     pl,genus,     strong).

meinem ~~> @possessive(dat,       first, sg,genus,     sg,mas_or_neu,strong).

meiner ~~> @possessive(gen_or_dat,first, sg,genus,     sg,fem,       strong).
meiner ~~> @possessive(gen,       first, sg,genus,     pl,genus,     strong).

meines ~~> @possessive(gen,       first, sg,genus,     sg,mas_or_neu,strong).

dein   ~~> @possessive(nom,       second,sg,genus,     sg,mas,       weak).
dein   ~~> @possessive(nom_or_acc,second,sg,genus,     sg,neu,       weak).
deine  ~~> @possessive(nom_or_acc,second,sg,genus,     sg,fem,       strong).
deine  ~~> @possessive(nom_or_acc,second,sg,genus,     pl,genus,     strong).

deinen ~~> @possessive(acc,       second,sg,genus,     sg,mas,       strong).
deinen ~~> @possessive(dat,       second,sg,genus,     pl,genus,     strong).

deinem ~~> @possessive(dat,       second,sg,genus,     sg,mas_or_neu,strong).

deiner ~~> @possessive(gen_or_dat,second,sg,genus,     sg,fem,       strong).
deiner ~~> @possessive(gen,       second,sg,genus,     pl,genus,     strong).

deines ~~> @possessive(gen,       second, sg,genus,    sg,mas_or_neu,strong).

sein   ~~> @possessive(nom,       third, sg,mas_or_neu,sg,mas,       weak).
sein   ~~> @possessive(nom_or_acc,third, sg,mas_or_neu,sg,neu,       weak).
seine  ~~> @possessive(nom_or_acc,third, sg,mas_or_neu,sg,fem,       strong).
seine  ~~> @possessive(nom_or_acc,third, sg,mas_or_neu,pl,genus,     strong).

seinen ~~> @possessive(acc,       third, sg,mas_or_neu,sg,mas,       strong).
seinen ~~> @possessive(dat,       third, sg,mas_or_neu,pl,genus,     strong).

seinem ~~> @possessive(dat,       third, sg,mas_or_neu,sg,mas_or_neu,strong).

seiner ~~> @possessive(gen_or_dat,third, sg,mas_or_neu,sg,fem,       strong).
seiner ~~> @possessive(gen,       third, sg,mas_or_neu,pl,genus,     strong).

seines ~~> @possessive(gen,       third, sg,mas_or_neu,sg,mas_or_neu,strong).


ihr   ~~> @possessive(nom,       third, sg,fem,sg,mas,       weak).
ihr   ~~> @possessive(nom_or_acc,third, sg,fem,sg,neu,       weak).
ihre  ~~> @possessive(nom_or_acc,third, sg,fem,sg,fem,       strong).
ihre  ~~> @possessive(nom_or_acc,third, sg,fem,pl,genus,     strong).

ihren ~~> @possessive(acc,       third, sg,fem,sg,mas,       strong).
ihren ~~> @possessive(dat,       third, sg,fem,pl,genus,     strong).

ihrem ~~> @possessive(dat,       third, sg,fem,sg,mas_or_neu,strong).

ihrer ~~> @possessive(gen_or_dat,third, sg,fem,sg,fem,       strong).
ihrer ~~> @possessive(gen,       third, sg,fem,pl,genus,     strong).

ihres ~~> @possessive(gen,       third, sg,fem,sg,mas_or_neu,strong).



% Relativpronomina

die    ~~> @rel_pronoun(nom_or_acc,third,sg,fem).
der    ~~> @rel_pronoun(gen_or_dat,third,sg,fem).

der    ~~> @rel_pronoun(nom,third,sg,mas).

dessen ~~> @rel_pronoun(gen,third,sg,mas_or_neu).
dem    ~~> @rel_pronoun(dat,third,sg,mas_or_neu).

den    ~~> @rel_pronoun(acc,third,sg,mas).

das    ~~> @rel_pronoun(nom_or_acc,third,sg,neu).



dessen ~~> @possessive_rel_pronoun(sg,mas_or_neu).
deren  ~~> @possessive_rel_pronoun(sg,fem).


% Verben


arbeit  ~~> @intrans_verb(arbeiten),
            @vflex_fk(v_weak),

            @vflex_ep(plus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).


bell    ~~> @intrans_verb(bellen),
            @vflex_fk(v_weak),
 
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).


lach    ~~> @intrans_verb(lachen),
            @vflex_fk(v_weak),
 
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).


schlaf ~~> @intrans_verb(schlafen),
           @pres2_stem(a_ schläf),
           @past_stem(a_ schlief),
            
           @vflex_fk(v_strong),
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

tanz   ~~> @intrans_verb(tanzen),
           @vflex_fk(v_weak),
 
           @vflex_ep(minus),
           @vflex_sm(plus),
           @vflex_pl_n(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


sterb  ~~> @intrans_unacc_verb(sterben),
           @pres2_stem(a_ stirb),
           @past_stem(a_ starb),
           @part_stem(a_ storb),
           
           @conj_stem(a_ stürb),
           @imp2_stem,
           @vflex_fk(v_strong),
              
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

regn  ~~>  @expl_np_verb(regnen),
           @vflex_fk(v_weak),
 
           @vflex_ep(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

% eigentlich würde man hier `auffallen' nehmen, aber das ist leider ein Partikelverb.
geling ~~> @np_np_unacc_verb(dat,gelingen),
           @past_stem(a_ gelang),
           @part_stem(a_ gelung),
              
           @conj_stem(a_ geläng),
              
           @vflex_fk(v_strong),
              
           @vflex_ep(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
%          @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(minus).
 
grau   ~~> @subjlos_verb(dat,grauen),
           @vflex_fk(v_weak),
 
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

helf   ~~> @np_np_verb(dat, helfen),

           @pres2_stem(a_ hilf),
           @past_stem(a_ half),
           @part_stem(a_ holf),
           @conj_stem(a_ hülf),
           @imp2_stem,
           
           @vflex_fk(v_strong),
           
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


jag    ~~> @trans_verb(jagen),
           @vflex_fk(v_weak),
 
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


kenn  ~~>  @trans_verb(kennen),
           @past_stem(a_ kann),
           @part_stem(a_ kann),
            
           @vflex_fk(mixed),
           
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

les    ~~> @trans_verb(lesen),
           @pres2_stem(a_ lies),

           @past_stem(a_ las),
           @part_stem(a_ les),
           @conj_stem(a_ läs),
           @imp2_stem,
           @vflex_fk(v_strong),
           
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(plus),
           @vflex_pl_n(minus),
           @vflex_spe(plus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


lieb   ~~> @trans_verb(lieben),
           @vflex_fk(v_weak),
            
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


reparier  ~~> @trans_verb(reparieren),
              @vflex_fk(v_weak),
 
              @vflex_ep(minus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_em(minus),
              @vflex_bet1(minus).

schlag ~~> @trans_verb(schlagen),
           @pres2_stem(a_ schläg),
           @past_stem(a_ schlug),
           @part_stem(a_ schlag),
           
           @vflex_fk(v_strong),
           
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


sing   ~~> @trans_verb(singen),
           @past_stem(a_ sang),
           @part_stem(a_ sung),
              
           @conj_stem(a_ säng),
              
           @vflex_fk(v_strong),
              
           @vflex_ep(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
%          @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


%vorschlagen
schlag ~~> @trans_verb(vorschlagen,a_ vor),
           @pres2_stem(a_ schläg),
           @past_stem(a_ schlug),
           @part_stem(a_ schlag),
           
           @vflex_fk(v_strong),
           
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

widersprech  ~~> @np_np_verb(dat,widersprechen),
            @pres2_stem(a_ widersprich),
            @past_stem(a_ widersprach),
            @part_stem(a_ widersproch),
            @conj_stem(a_ widerspräch),
            @imp2_stem,
            @vflex_fk(v_strong),
            
            @vflex_ep(minus),
            @vflex_evp(minus),
            @vflex_epp(plus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
%            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(minus).


% Ditransitive Verben
geb  ~~> @ditrans_verb(geben),
         @pres2_stem(a_ gib),
         @past_stem(a_ gab),
         @part_stem(a_ geb),
         @conj_stem(a_ gäb),
         @imp2_stem,
            
         @vflex_fk(v_strong),
            
         @vflex_ep(minus),
         @vflex_evp(minus),
         @vflex_epp(plus),
         @vflex_sm(minus),
         @vflex_pl_n(minus),
         @vflex_spe(minus),
         @vflex_tm(minus),
         @vflex_em(minus),
         @vflex_bet1(plus).

schenk  ~~> @ditrans_verb(schenken),
            @vflex_fk(v_weak),

            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).

erzähl  ~~> @ditrans_verb(erzählen),
            @vflex_fk(v_weak),
            
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(minus).



denk  ~~> @np_pp_verb(an_pform,acc,denken_an),
          @past_stem(a_ dach),
          @part_stem(a_ dach),
          
          @vflex_fk(v_weak),
          @vflex_ep(minus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_spe(minus),
          @vflex_tm(minus),
          @vflex_em(minus),
          @vflex_bet1(plus).


% Modalverben

dürf   ~~> @modal_verb(dürfen),
           @pres2_stem(a_ darf),
 
           @past_stem(a_ durf),
           @part_stem(a_ durf),
           @conj_stem(a_ dürf),

           @vflex_fk(modal),
           
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

könn   ~~> @modal_verb(können),
           @pres2_stem(a_ kann),
 
           @past_stem(a_ konn),
           @part_stem(a_ konn),
           @conj_stem(a_ könn),
           
           @vflex_fk(modal),
           
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

müss   ~~> @modal_verb(müssen),
           @pres2_stem(a_ muß),
 
           @past_stem(a_ muß),
           @part_stem(a_ muß),
           
           @conj_stem(a_ müss),

           @vflex_fk(modal),
            
           @vflex_ep(minus),
           @vflex_sm(plus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

woll   ~~> @modal_verb(wollen),
           @pres2_stem(a_ will),
 
           @vflex_fk(modal),
            
           @vflex_ep(minus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


versprech ~~>  ( @np_v_subj_control_verb(versprechen)
               ; @np_np_v_subj_control_verb(dat,versprechen)
               ),
              @pres2_stem(a_ versprich),

              @past_stem(a_ versprach),
              @part_stem(a_ versproch),
              
              @conj_stem(a_ verspräch),
              @imp2_stem,
              @vflex_fk(v_strong),
              
              @vflex_ep(minus),
              @vflex_evp(minus),
              @vflex_epp(plus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(minus).

versuch   ~~> @np_v_subj_control_verb(versuchen),
              @vflex_fk(v_weak),
 
              @vflex_ep(minus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(minus).


% Objektkontrollverben
erlaub    ~~> @np_np_v_obj_control_verb(dat,erlauben),
              @vflex_fk(v_weak),
              
              @vflex_ep(minus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_em(minus),
              @vflex_bet1(minus).



zwing     ~~> @np_np_v_obj_control_verb(zwingen),
              @past_stem(a_ zwang),
              @part_stem(a_ zwung),
              
              @conj_stem(a_ zwäng),
 
              @vflex_fk(v_strong),
              
              @vflex_ep(minus),
              @vflex_evp(minus),
              @vflex_epp(plus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(plus).


% Subjektanhebungsverben

schein ~~>    @coherent_subject_raising_verb(scheinen),
              synsem:loc:cat:head:vform:fin,        % *Karl wird zu schlafen scheinen.
                                                    % *Karl hat zu schlafen geschienen.
              @past_stem(a_ schien),
 
              @vflex_fk(v_strong),
                
              @vflex_ep(minus),
              @vflex_evp(minus),
              @vflex_epp(plus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(plus).


% optional kohärent
beginn ~~>    @phase_verb(beginnen),
              @past_stem(a_ begann),
              @part_stem(a_ begonnen),
              @conj_stem(a_ begänn),
              
              @vflex_fk(v_strong),
              
              @vflex_ep(minus),
              @vflex_evp(minus),
              @vflex_epp(plus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(minus).



% AcI-Verben

seh       ~~> @aci_verb(sehen),
              @pres2_stem(a_ sieh),

              @past_stem(a_ sah),
              @part_stem(a_ seh),
              
              @conj_stem(a_ säh),
              @imp2_stem,
              @vflex_fk(v_strong),
              
              @vflex_ep(minus),
              @vflex_evp(minus),
              @vflex_epp(plus),
              @vflex_sm(minus),
              @vflex_pl_n(minus),
              @vflex_spe(minus),
              @vflex_tm(minus),
              @vflex_em(minus),
              @vflex_bet1(plus).


lass    ~~> ( @aci_verb(lassen)
            ;
              lassen_passive
            ),
            @pres2_stem(a_ läß),

            @past_stem(a_ ließ),
            @part_stem(a_ lass),
            
            @vflex_fk(v_strong),
            
            @vflex_ep(minus),
            @vflex_evp(minus),
            @vflex_epp(plus),
            @vflex_sm(plus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).



% Hilfsverben
% Einträge für Futur-Hilfsverb und Passiv (kommt im nächsten Kapitel)

werde    ~~> @werden(first,  sg, pres_ind_conj).
wirst    ~~> @werden(second, sg, pres_ind).
wird     ~~> @werden(third,  sg, pres_ind).

werden   ~~> @werden(first_or_third, pl, pres_ind_conj).
werdet   ~~> @werden(second,         pl, pres_ind_conj).

werde    ~~> @werden(third,          sg, pres_conj).  % first person listed above, reduces ambiguity
werdest  ~~> @werden(second,         sg, pres_conj).

wurde    ~~> @werden_pas(first_or_third, sg, past_ind).
wurdest  ~~> @werden_pas(second,         sg, past_ind).
wurden   ~~> @werden_pas(first_or_third, pl, past_ind).
wurdet   ~~> @werden_pas(second,         pl, past_ind).


würde    ~~> @werden(first_or_third, sg, past_conj).
würdest  ~~> @werden(second,         sg, past_conj).


werden   ~~> @werden(bse_or_inf).

worden   ~~> @werden_pas(ppp).


bin   ~~> @sein(first, sg, pres_ind).
bist  ~~> @sein(second,sg, pres_ind).
ist   ~~> @sein(third, sg, pres_ind).

sind  ~~> @sein(first_or_third, pl, pres_ind).
seid  ~~> @sein(second,         pl, pres_ind).

sei   ~~> @sein(first_or_third, sg, pres_conj).
seist ~~> @sein(second,         sg, pres_conj).

seien ~~> @sein(first_or_third, pl, pres_conj).
seiet ~~> @sein(second,         pl, pres_conj).

war   ~~> @sein(first_or_third, sg, past_ind).
warst ~~> @sein(second,         sg, past_ind).

waren ~~> @sein(first_or_third, pl, past_ind).
wart  ~~> @sein(second,         pl, past_ind).

wäre   ~~> @sein(first_or_third, sg, past_conj).
wärest ~~> @sein(second,         sg, past_conj).

wären ~~> @sein(first_or_third, pl, past_conj).
wärt  ~~> @sein(second,         pl, past_conj).


gewesen  ~~> @sein(ppp).

sein     ~~> @sein(bse_or_inf).



% Dativpassiv-Hilfsverb


bekomm  ~~> dative_passive_aux_verb,
            @past_stem(a_ bekam),
            @part_stem(a_ bekomm),
            @conj_stem(a_ bekäm),
            
            @vflex_fk(v_strong),
            
            @vflex_ep(minus),
            @vflex_evp(minus),
            @vflex_epp(plus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(minus).




% Perfekt-Hilfsverb

hab     ~~> (perfect_aux_verb;
             modal_haben),
            @pres2_stem(a_ ha),
            @past_stem(a_ hat),
            @part_stem(a_ hab),
            @conj_stem(a_ hät),
            
            @vflex_fk(mixed),
            
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(plus).


% Verbpartikel


an ~~>
(subj_isect_modifying_particle,
 synsem:loc:cont:nucleus:arg2:gerichtet_auf).
            
los ~~>
(subj_less_scopal_modifying_particle,
 synsem:loc:cont:nucleus:beginnen).


vor  ~~> @non_trans_particle(a_ vor).



% Das ist ein Trick, der gebraucht wird,
% damit eine eigentlich syntaktische Regel im Lexikon angewendet werden
% kann. Ohne diesen Trick würde man in Trale die Partikelverben und entsprechende
% Derivationsformen nur mit einem Leerzeichen zwischen Partikel und Verb/Adjektiv/Nomen
% analysieren können.

% In den entsprechenden Lexikonregeln wird eine Tochter als `particle' spezifiziert,
% womit dann auch der phonologische Beitrag zugreifbar ist und mit
%
% morphs
%  X becomes (Y,X).
%
% in die orthographische Form des Wortes integriert werden kann.

particle *>
 ((phon:[a_ an],
   subj_isect_modifying_particle,
   synsem:loc:cont:nucleus:arg2:gerichtet_auf)
 ;
  (phon:[a_ los],
   subj_less_scopal_modifying_particle,
   synsem:loc:cont:nucleus:beginnen)
;
   (phon:[a_ vor],
    @non_trans_particle(a_ vor))).



an  ~~> @comp_prep(an_pform).
auf ~~> @comp_prep(auf_pform).
für ~~> @comp_prep(für_pform).
zu  ~~> @comp_prep(zu_pform).

von ~~> passive_preposition.


interessant ~~> @adj(interessant).
klug        ~~> @adj(klug).
schön       ~~> @adj(schön).

treu        ~~> @np_adj(treu,dat).

stolz       ~~> @pp_adj(stolz_auf,auf_pform,acc).

mutmaßlich  ~~> @scopal_adj(mutmaßlich).


in ~~> @location_noun_mod_prep(in).

in ~~> @location_verb_mod_prep(in).


nicht ~~> @scopal_adv(nicht).

oft   ~~> @scopal_adv(oft).


gestern ~~> @temp_adv(gestern).
jetzt   ~~> @temp_adv(jetzt).
heute   ~~> @temp_adv(heute).
morgen  ~~> @temp_adv(morgen).

immer   ~~> @temp_adv(immer).

genug  ~~> @intersect_adv(genug).
leicht ~~> @intersect_adv(leicht). % sollte über Lexikonregel lizenziert werden

daß ~~> @complementizer(daß_cform).




empty
   v_trace.

empty 
   e_trace.


empty 
    (empty_determiner,
     @det(pl,weak,abstr_rel)).





